Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

kyotocabinet::Regex Member List
This is the complete list of members for kyotocabinet::Regex, including all inherited members.

compile(const std::string &regex, uint32_t opts=0) | kyotocabinet::Regex |
IGNCASE enum value | kyotocabinet::Regex |
match(const std::string &str) | kyotocabinet::Regex |
match(const std::string &str, const std::string &pattern, uint32_t opts=0) | kyotocabinet::Regex | `[static]`
MATCHONLY enum value | kyotocabinet::Regex |
Option enum name | kyotocabinet::Regex |
Regex() | kyotocabinet::Regex | `[explicit]`
replace(const std::string &str, const std::string &alt) | kyotocabinet::Regex |
replace(const std::string &str, const std::string &pattern, const std::string &alt, uint32_t opts=0) | kyotocabinet::Regex | `[static]`
~Regex() | kyotocabinet::Regex |